MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024057Open CASCADE[OCCT] OCCT:Codingpublic2013-07-03 16:562013-12-19 13:59
Reporteromy 
Assigned Toomy 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024057: Eliminate compiler warning C4100 in MSVC++ with warning level 4
DescriptionWhen compiling OCCT 6.6.0 with warning level set to 4, MSVC 2008 compiler produces many warnings c4100: 'identifier' : unreferenced formal parameter
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0023947closedomy Eliminate trivial compiler warnings in MSVC++ with warning level 4 

-  Notes
(0024958)
omy (developer)
2013-07-04 10:00

Dear abv,
I've made some fixes to eliminate most of C4100 warnings shown by VC 2008 compiler.
Please, review.
(0024992)
abv (manager)
2013-07-09 09:10

Oleg, please rebase on current master (separately from CR23947)

In GccIter_FunctionTanCuCuCu.gxx, please restore parts starting witj #ifdef 0 -- I deem they might contain some potentially useful code.

In OpenGl_Text::drawText() there seem to be duplication of considerable amount of code in two implementation #if/not HAVE_GL2PS, please check.

In PCDM.cdl: why you have added one more enum value from different enum?? Please revert this change; if still considered useful I propose it should be passed as separate fix.

In StepData_StepWriter::JoinLast(), why you have commented a function body?
(0025012)
omy (developer)
2013-07-10 13:23

Dear abv,
Please, review the last changes I've made.
(0025013)
abv (manager)
2013-07-10 13:39

No remarks, please test
(0025031)
apn (administrator)
2013-07-11 16:25

There are compile errors:

Linux and WNT
../../../../src/TopOpeBRep/TopOpeBRep_FacesFiller_1.cxx:260: error: ‘iF’ was not declared in this scope
(0025037)
omy (developer)
2013-07-11 17:01

Done,
Please, test.
(0025039)
apn (administrator)
2013-07-11 17:56

There is compile error:

/../../../src/OpenGl/OpenGl_Element.cxx
../../../../src/OpenGl/OpenGl_Display.cxx: In constructor ‘OpenGl_Display::OpenGl_Display(const Handle_Aspect_DisplayConnection&)’:
../../../../src/OpenGl/OpenGl_Display.cxx:69: error: ‘theDisplayConnection’ was not declared in this scope
(0025045)
apn (administrator)
2013-07-12 10:23

There is compile error:

../../../../src/Draw/Draw_BasicCommands.cxx: In function ‘Standard_Integer cpulimit(Draw_Interpretor&, Standard_Integer, const char**)’:
../../../../src/Draw/Draw_BasicCommands.cxx:473: error: ‘di’ was not declared in this scope
(0025062)
omy (developer)
2013-07-15 13:43

Dear apn,
Compilation errors have been fixed.
Please, test.
(0025068)
apn (administrator)
2013-07-15 16:21

There are compile errors:

http://jenkins-test-02.nnov.opencascade.com:8080/job/mnt-CR24057-master_build_occt_linux/4/parsed_console/? [^]
(0025069)
omy (developer)
2013-07-15 16:34

Dear apn,
The problem has been eliminated.
Please, test.
(0025070)
apn (administrator)
2013-07-16 10:34

There is compile error:

../../../../src/ViewerTest/ViewerTest_ViewerCommands.cxx:518: error: ‘theDisplayName’ was not declared in this scope
(0025100)
apn (administrator)
2013-07-17 17:47
edited on: 2013-07-17 17:48

Dear BugMaster,

Branch CR24057 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: a205ffe7241faa335222c02ff3948e1930aabff1

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 954 (1767 on master)

products component :
Linux: 0 (0 on master)
Windows: 288 (288 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 365783344 / 365698632
Total CPU difference: 52154.55000000019 / 44445.12000000096

Testing on Windows:
Total MEMORY difference: 424125788 / 426007132
Total CPU difference: 33252.375 / 30358.84375

There are not differences in images found by testdiff.


- Related Changesets
occt: master 35e08fe8
Timestamp: 2013-07-18 09:09:32
Author: omy
Details ] Diff ]
0024057: Eliminate compiler warning C4100 in MSVC++ with warning level 4

Got rid of warning C4100: 'identifier' : unreferenced formal parameter
Got rid of compile errors
mod - src/Adaptor3d/Adaptor3d_SurfaceOfRevolution.cxx Diff ] File ]
mod - src/AIS/AIS_EqualDistanceRelation.cxx Diff ] File ]
mod - src/AIS/AIS_GlobalStatus.cxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.cxx Diff ] File ]
mod - src/AIS/AIS_Triangulation.cxx Diff ] File ]
mod - src/APIHeaderSection/APIHeaderSection_EditHeader.cxx Diff ] File ]
mod - src/BiTgte/BiTgte_Blend.cxx Diff ] File ]
mod - src/BiTgte/BiTgte_CurveOnEdge.cxx Diff ] File ]
mod - src/BiTgte/BiTgte_CurveOnVertex.cxx Diff ] File ]
mod - src/Blend/Blend_CSFunction.cxx Diff ] File ]
mod - src/Blend/Blend_Function.cxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_Chamfer.cxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_ChAsym.cxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_CSCircular.cxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_CSConstRad.cxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_Ruled.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_6.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools.cxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_SurfaceToolGen.gxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_AppFuncRoot.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_BlendTool.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_SurfRstEvolRad.cxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_Copy.cxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_MakeShape.cxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_NurbsConvert.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Wire.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_CompatibleWires.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Evolved.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Pipe.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Delaun.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexInspector.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexTool.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Inter3d.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_MakeOffset.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Tool.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_BasicCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_SweepCommands.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_NurbsConvertModification.cxx Diff ] File ]
mod - src/BRepTopAdaptor/BRepTopAdaptor_Tool.cxx Diff ] File ]
mod - src/CDM/CDM_NullMessageDriver.cxx Diff ] File ]
mod - src/ChFi2d/ChFi2d_Builder_0.cxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_FilSpine.cxx Diff ] File ]
mod - src/ChFiKPart/ChFiKPart_ComputeData_ChAsymPlnCyl.cxx Diff ] File ]
mod - src/ChFiKPart/ChFiKPart_ComputeData_ChPlnCyl.cxx Diff ] File ]
mod - src/ChFiKPart/ChFiKPart_ComputeData_CS.cxx Diff ] File ]
mod - src/ChFiKPart/ChFiKPart_ComputeData_Sphere.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_DrawPresentation.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_TreeBrowser.cxx Diff ] File ]
mod - src/DDF/DDF_Data.cxx Diff ] File ]
mod - src/DDocStd/DDocStd.cxx Diff ] File ]
mod - src/DDocStd/DDocStd_DrawDocument.cxx Diff ] File ]
mod - src/DNaming/DNaming_BooleanOperationDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_BoxDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_CylinderDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_FilletDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_Line3DDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_ModelingCommands.cxx Diff ] File ]
mod - src/DNaming/DNaming_PointDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_PrismDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_RevolutionDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_SphereDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_TransformationDriver.cxx Diff ] File ]
mod - src/Draw/CommandWindow.cxx Diff ] File ]
mod - src/Draw/Draw_BasicCommands.cxx Diff ] File ]
mod - src/Draw/Draw_Main.cxx Diff ] File ]
mod - src/Draw/Draw_VariableCommands.cxx Diff ] File ]
mod - src/Draw/Draw_Viewer.cxx Diff ] File ]
mod - src/Draw/MainWindow.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_AnglePresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_OffsetPresentation.cxx Diff ] File ]
mod - src/Extrema/Extrema_GenExtCC.gxx Diff ] File ]
mod - src/Extrema/Extrema_GenExtPS.cxx Diff ] File ]
mod - src/FWOSDriver/FWOSDriver.cxx Diff ] File ]
mod - src/FWOSDriver/FWOSDriver_Driver.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d2TanOn_9.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d2TanRad_4.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d3Tan_3.cxx Diff ] File ]
mod - src/GccIter/GccIter_FunctionTanCuCuCu.gxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_API2dCommands.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_SurfaceCommands.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_DiscreteTrihedron.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_GuideTrihedronPlan.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_PlanFunc.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_ModificationCommands.cxx Diff ] File ]
mod - src/GeomPlate/GeomPlate_BuildPlateSurface.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Plotter.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_CurveTool.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_CurveTool.lxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Data.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Intersector.cxx Diff ] File ]
mod - src/HLRTest/HLRTest_OutLiner.cxx Diff ] File ]
mod - src/HLRTopoBRep/HLRTopoBRep_DSFiller.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_ModifEditForm.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_ModifReorder.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_ParamEditor.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SelectSignature.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SignAncestor.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SignType.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_GeneralModule.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_Protocol.cxx Diff ] File ]
mod - src/IGESCAFControl/IGESCAFControl_Reader.cxx Diff ] File ]
mod - src/IGESData/IGESData_GeneralModule.cxx Diff ] File ]
mod - src/IGESData/IGESData_Protocol.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_GeneralModule.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_Protocol.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_TabularData.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_GeneralModule.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_Protocol.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_Protocol.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_GeneralModule.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_Protocol.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_AddGroup.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_EditDirPart.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_EditHeader.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_FloatFormat.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_IGESName.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_IGESTypeForm.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_RemoveCurves.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_SelectBasicGeom.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_SelectBypassGroup.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_SelectBypassSubfigure.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_SelectFaces.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_SelectLevelNumber.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_SelectName.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_SelectPCurves.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_SelectSubordinate.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_SelectVisibleStatus.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_SetLabel.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_SignStatus.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_UpdateFileName.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_GeneralModule.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_Protocol.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ReadWriteModule.cxx Diff ] File ]
mod - src/Image/Image_AlienPixMap.cxx Diff ] File ]
mod - src/IntCurve/IntCurve_IntPolyPolyGen.gxx Diff ] File ]
mod - src/Interface/Interface_FileReaderData.cxx Diff ] File ]
mod - src/Interface/Interface_Graph.cxx Diff ] File ]
mod - src/Interface/Interface_IntList.cxx Diff ] File ]
mod - src/InterfaceGraphic/InterfaceGraphic_cPrintf.cxx Diff ] File ]
mod - src/Intf/Intf_InterferencePolygonPolyhedron.gxx Diff ] File ]
mod - src/Intf/Intf_TangentZone.cxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_Intersection.cxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_Triangle.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_WiresOnShape.lxx Diff ] File ]
mod - src/MAT2d/MAT2d_Circuit.cxx Diff ] File ]
mod - src/MAT2d/MAT2d_Tool2d.cxx Diff ] File ]
mod - src/math/math_KronrodSingleIntegration.cxx Diff ] File ]
mod - src/MDataStd/MDataStd_BooleanListStorageDriver.cxx Diff ] File ]
mod - src/MDataStd/MDataStd_DirectoryRetrievalDriver.cxx Diff ] File ]
mod - src/MDataStd/MDataStd_ExtStringListStorageDriver.cxx Diff ] File ]
mod - src/MDataStd/MDataStd_IntegerArrayStorageDriver.cxx Diff ] File ]
mod - src/MDataStd/MDataStd_IntegerListStorageDriver.cxx Diff ] File ]
mod - src/MDataStd/MDataStd_NamedDataStorageDriver.cxx Diff ] File ]
mod - src/MDataStd/MDataStd_RealArrayStorageDriver.cxx Diff ] File ]
mod - src/MDataStd/MDataStd_RealListStorageDriver.cxx Diff ] File ]
mod - src/MDataStd/MDataStd_ReferenceArrayStorageDriver.cxx Diff ] File ]
mod - src/MDataStd/MDataStd_ReferenceListStorageDriver.cxx Diff ] File ]
mod - src/MDataStd/MDataStd_UAttributeRetrievalDriver.cxx Diff ] File ]
mod - src/MDataXtd/MDataXtd_ShapeRetrievalDriver.cxx Diff ] File ]
mod - src/MeshTest/MeshTest.cxx Diff ] File ]
mod - src/MeshTest/MeshTest_DrawableMesh.cxx Diff ] File ]
mod - src/MeshTest/MeshTest_PluginCommands.cxx Diff ] File ]
mod - src/MoniTool/MoniTool_SignShape.cxx Diff ] File ]
mod - src/MPrsStd/MPrsStd_AISPresentationRetrievalDriver.cxx Diff ] File ]
mod - src/MPrsStd/MPrsStd_AISPresentationRetrievalDriver_1.cxx Diff ] File ]
mod - src/MPrsStd/MPrsStd_AISPresentationStorageDriver.cxx Diff ] File ]
mod - src/MPrsStd/MPrsStd_PositionRetrievalDriver.cxx Diff ] File ]
mod - src/MPrsStd/MPrsStd_PositionStorageDriver.cxx Diff ] File ]
mod - src/MXCAFDoc/MXCAFDoc_AreaRetrievalDriver.cxx Diff ] File ]
mod - src/MXCAFDoc/MXCAFDoc_AreaStorageDriver.cxx Diff ] File ]
mod - src/MXCAFDoc/MXCAFDoc_CentroidRetrievalDriver.cxx Diff ] File ]
mod - src/MXCAFDoc/MXCAFDoc_CentroidStorageDriver.cxx Diff ] File ]
mod - src/MXCAFDoc/MXCAFDoc_DatumRetrievalDriver.cxx Diff ] File ]
mod - src/MXCAFDoc/MXCAFDoc_DatumStorageDriver.cxx Diff ] File ]
mod - src/MXCAFDoc/MXCAFDoc_DimTolRetrievalDriver.cxx Diff ] File ]
mod - src/MXCAFDoc/MXCAFDoc_DimTolStorageDriver.cxx Diff ] File ]
mod - src/MXCAFDoc/MXCAFDoc_MaterialRetrievalDriver.cxx Diff ] File ]
mod - src/MXCAFDoc/MXCAFDoc_MaterialStorageDriver.cxx Diff ] File ]
mod - src/MXCAFDoc/MXCAFDoc_VolumeRetrievalDriver.cxx Diff ] File ]
mod - src/MXCAFDoc/MXCAFDoc_VolumeStorageDriver.cxx Diff ] File ]
mod - src/NIS/NIS_InteractiveObject.cxx Diff ] File ]
mod - src/NLPlate/NLPlate_HGPPConstraint.cxx Diff ] File ]
mod - src/NLPlate/NLPlate_NLPlate.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectLine.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectMarker.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectText.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Display.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_7.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_713.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_Export.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Marker.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_MarkerSet.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_telem_view.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextFormatter.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_5.cxx Diff ] File ]
mod - src/OSD/OSD_DirectoryIterator.cxx Diff ] File ]
mod - src/OSD/OSD_FileIterator.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ProjectedCurve.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_RadiusAspect.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_WFShape.hxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/QABugs/QABugs_17.cxx Diff ] File ]
mod - src/QABugs/QABugs_18.cxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/QABugs/QABugs_3.cxx Diff ] File ]
mod - src/QABugs/QABugs_MyText.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Gluing.cxx Diff ] File ]
mod - src/QANewDBRepNaming/QANewDBRepNaming.cxx Diff ] File ]
mod - src/RWHeaderSection/RWHeaderSection_GeneralModule.cxx Diff ] File ]
mod - src/RWHeaderSection/RWHeaderSection_ReadWriteModule.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWClass.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWRepItemGroup.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWActionMethod.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWCertificationType.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWCharacterizedObject.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWContractType.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWDocumentType.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWEffectivity.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWEulerAngles.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWGeneralProperty.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWGroup.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWIdentificationRole.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWNameAssignment.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWObjectRole.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWVersionedActionRequest.cxx Diff ] File ]
mod - src/RWStepElement/RWStepElement_RWCurve3dElementDescriptor.cxx Diff ] File ]
mod - src/RWStepElement/RWStepElement_RWCurveElementSectionDefinition.cxx Diff ] File ]
mod - src/RWStepElement/RWStepElement_RWElementDescriptor.cxx Diff ] File ]
mod - src/RWStepElement/RWStepElement_RWSurface3dElementDescriptor.cxx Diff ] File ]
mod - src/RWStepElement/RWStepElement_RWSurfaceSection.cxx Diff ] File ]
mod - src/RWStepElement/RWStepElement_RWSurfaceSectionField.cxx Diff ] File ]
mod - src/RWStepElement/RWStepElement_RWUniformSurfaceSection.cxx Diff ] File ]
mod - src/RWStepElement/RWStepElement_RWVolume3dElementDescriptor.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWConstantSurface3dElementCoordinateSystem.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWFeaAreaDensity.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWFeaMassDensity.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWFeaMaterialPropertyRepresentationItem.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWFeaParametricPoint.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWFeaRepresentationItem.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWParametricSurface3dElementCoordinateSystem.cxx Diff ] File ]
mod - src/RWStepGeom/RWStepGeom_RWGeometricRepresentationContextAndParametricRepresentationContext.cxx Diff ] File ]
mod - src/RWStepVisual/RWStepVisual_RWColour.cxx Diff ] File ]
mod - src/RWStepVisual/RWStepVisual_RWPresentationSet.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveBox.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveEntity.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoint.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveSegment.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_EntityOwner.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_Filter.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_PoleCurve.cxx Diff ] File ]
mod - src/StdSelect/StdSelect.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_BRepSelectionTool.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_Shape.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_SizeMember.cxx Diff ] File ]
mod - src/StepData/StepData_DefaultGeneral.cxx Diff ] File ]
mod - src/StepData/StepData_DescrGeneral.cxx Diff ] File ]
mod - src/StepData/StepData_FieldList.cxx Diff ] File ]
mod - src/StepData/StepData_FileProtocol.cxx Diff ] File ]
mod - src/StepData/StepData_PDescr.cxx Diff ] File ]
mod - src/StepData/StepData_ReadWriteModule.cxx Diff ] File ]
mod - src/StepData/StepData_SelectMember.cxx Diff ] File ]
mod - src/StepData/StepData_SelectType.cxx Diff ] File ]
mod - src/StepData/StepData_StepWriter.cxx Diff ] File ]
mod - src/STEPEdit/STEPEdit_EditContext.cxx Diff ] File ]
mod - src/STEPEdit/STEPEdit_EditSDR.cxx Diff ] File ]
mod - src/StepElement/StepElement_CurveElementFreedom.cxx Diff ] File ]
mod - src/StepElement/StepElement_CurveElementFreedomMember.cxx Diff ] File ]
mod - src/StepElement/StepElement_CurveElementPurpose.cxx Diff ] File ]
mod - src/StepElement/StepElement_CurveElementPurposeMember.cxx Diff ] File ]
mod - src/StepElement/StepElement_ElementAspect.cxx Diff ] File ]
mod - src/StepElement/StepElement_MeasureOrUnspecifiedValue.cxx Diff ] File ]
mod - src/StepElement/StepElement_MeasureOrUnspecifiedValueMember.cxx Diff ] File ]
mod - src/StepElement/StepElement_SurfaceElementPurpose.cxx Diff ] File ]
mod - src/StepElement/StepElement_SurfaceElementPurposeMember.cxx Diff ] File ]
mod - src/StepElement/StepElement_VolumeElementPurpose.cxx Diff ] File ]
mod - src/StepElement/StepElement_VolumeElementPurposeMember.cxx Diff ] File ]
mod - src/StepFEA/StepFEA_DegreeOfFreedom.cxx Diff ] File ]
mod - src/StepFEA/StepFEA_DegreeOfFreedomMember.cxx Diff ] File ]
mod - src/StepFEA/StepFEA_SymmetricTensor23d.cxx Diff ] File ]
mod - src/StepFEA/StepFEA_SymmetricTensor43d.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_TrimmingMember.cxx Diff ] File ]
mod - src/StepSelect/StepSelect_FloatFormat.cxx Diff ] File ]
mod - src/StepSelect/StepSelect_StepType.cxx Diff ] File ]
mod - src/STEPSelections/STEPSelections_SelectAssembly.cxx Diff ] File ]
mod - src/STEPSelections/STEPSelections_SelectDerived.cxx Diff ] File ]
mod - src/STEPSelections/STEPSelections_SelectFaces.cxx Diff ] File ]
mod - src/STEPSelections/STEPSelections_SelectGSCurves.cxx Diff ] File ]
mod - src/STEPSelections/STEPSelections_SelectInstances.cxx Diff ] File ]
mod - src/StepShape/StepShape_OrientedPath.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_MarkerMember.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_MarkerSelect.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Directory.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Integer.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Real.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ReferenceArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Tick.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_TreeNode.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_UAttribute.cxx Diff ] File ]
mod - src/TDataXtd/TDataXtd_Axis.cxx Diff ] File ]
mod - src/TDataXtd/TDataXtd_Geometry.cxx Diff ] File ]
mod - src/TDataXtd/TDataXtd_Placement.cxx Diff ] File ]
mod - src/TDataXtd/TDataXtd_Plane.cxx Diff ] File ]
mod - src/TDataXtd/TDataXtd_Point.cxx Diff ] File ]
mod - src/TDataXtd/TDataXtd_Shape.cxx Diff ] File ]
mod - src/TDF/TDF_Attribute.cxx Diff ] File ]
mod - src/TDF/TDF_IDFilter.cxx Diff ] File ]
mod - src/TDF/TDF_TagSource.cxx Diff ] File ]
mod - src/TDF/TDF_Transaction.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Modified.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Owner.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_XLink.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_XLinkRoot.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_OtherCommands.cxx Diff ] File ]
mod - src/TestTopOpeDraw/TestTopOpeDraw_DrawableC2D.cxx Diff ] File ]
mod - src/TestTopOpeDraw/TestTopOpeDraw_DrawableC3D.cxx Diff ] File ]
mod - src/TestTopOpeDraw/TestTopOpeDraw_DrawableSUR.cxx Diff ] File ]
mod - src/TestTopOpeDraw/TestTopOpeDraw_OtherCommands.cxx Diff ] File ]
mod - src/TestTopOpeTools/TestTopOpeTools_OtherCommands.cxx Diff ] File ]
mod - src/TFunction/TFunction_Function.cxx Diff ] File ]
mod - src/TNaming/TNaming_UsedShapes.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_DSFiller.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_EdgesFiller.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FacesFiller_1.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_GeomTool.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_kpart.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_trace.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_ShapeSet.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_ShellFaceSet.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_faulty.cxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_AISViewer.cxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_ConstraintTools.cxx Diff ] File ]
mod - src/TransferBRep/TransferBRep_ShapeInfo.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_AviCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_OpenGlCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_View.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_ViewOrientation.cxx Diff ] File ]
mod - src/Voxel/Voxel_FastConverter.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Scene.cxx Diff ] File ]
mod - src/WNT/W32_Allocator.hxx Diff ] File ]
mod - src/WNT/W95_Allocator.cxx Diff ] File ]
mod - src/WNT/WNT_Allocator.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML_DataSource.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML_DrawableMesh.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-07-03 16:56 omy New Issue
2013-07-03 16:56 omy Assigned To => omy
2013-07-03 16:57 omy Relationship added child of 0023947
2013-07-03 16:57 omy Summary 0023947: Eliminate compiler warning C4100 in MSVC++ with warning level 4 => Eliminate compiler warning C4100 in MSVC++ with warning level 4
2013-07-03 16:59 omy Status new => assigned
2013-07-04 10:00 omy Note Added: 0024958
2013-07-04 10:00 omy Assigned To omy => abv
2013-07-04 10:00 omy Status assigned => resolved
2013-07-09 09:10 abv Note Added: 0024992
2013-07-09 09:10 abv Assigned To abv => omy
2013-07-09 09:10 abv Status resolved => assigned
2013-07-10 13:23 omy Note Added: 0025012
2013-07-10 13:23 omy Assigned To omy => abv
2013-07-10 13:23 omy Status assigned => resolved
2013-07-10 13:39 abv Note Added: 0025013
2013-07-10 13:39 abv Assigned To abv => bugmaster
2013-07-10 13:39 abv Status resolved => reviewed
2013-07-11 16:25 apn Note Added: 0025031
2013-07-11 16:25 apn Assigned To bugmaster => omy
2013-07-11 16:25 apn Status reviewed => assigned
2013-07-11 17:01 omy Note Added: 0025037
2013-07-11 17:01 omy Assigned To omy => apn
2013-07-11 17:01 omy Status assigned => resolved
2013-07-11 17:56 apn Note Added: 0025039
2013-07-11 17:57 apn Assigned To apn => omy
2013-07-11 17:57 apn Status resolved => assigned
2013-07-11 18:00 omy Status assigned => resolved
2013-07-11 18:01 omy Assigned To omy => apn
2013-07-11 18:01 omy Status resolved => reviewed
2013-07-12 10:23 apn Note Added: 0025045
2013-07-12 10:23 apn Assigned To apn => omy
2013-07-12 10:23 apn Status reviewed => assigned
2013-07-15 13:43 omy Status assigned => resolved
2013-07-15 13:43 omy Note Added: 0025062
2013-07-15 13:43 omy Assigned To omy => apn
2013-07-15 13:43 omy Status resolved => reviewed
2013-07-15 13:47 omy Assigned To apn => omy
2013-07-15 14:11 mkv Assigned To omy => apn
2013-07-15 16:21 apn Note Added: 0025068
2013-07-15 16:22 apn Assigned To apn => omy
2013-07-15 16:22 apn Status reviewed => assigned
2013-07-15 16:34 omy Note Added: 0025069
2013-07-15 16:34 omy Assigned To omy => apn
2013-07-15 16:34 omy Status assigned => resolved
2013-07-15 16:38 omy Status resolved => reviewed
2013-07-16 10:34 apn Note Added: 0025070
2013-07-16 10:35 apn Assigned To apn => omy
2013-07-16 10:35 apn Status reviewed => assigned
2013-07-16 11:08 omy Status assigned => resolved
2013-07-16 12:12 omy Assigned To omy => apn
2013-07-16 12:12 omy Status resolved => reviewed
2013-07-17 17:47 apn Note Added: 0025100
2013-07-17 17:48 apn Note Edited: 0025100 View Revisions
2013-07-17 17:48 apn Test case number => Not needed
2013-07-17 17:48 apn Assigned To apn => bugmaster
2013-07-17 17:48 apn Status reviewed => tested
2013-07-19 13:33 omy Changeset attached => occt master 35e08fe8
2013-07-19 13:33 omy Assigned To bugmaster => omy
2013-07-19 13:33 omy Status tested => verified
2013-07-19 13:33 omy Resolution open => fixed
2013-12-19 13:51 bugmaster Status verified => closed
2013-12-19 13:59 bugmaster Fixed in Version => 6.7.0
2014-01-11 11:58 abv Category OCCT Release:BUILD => OCCT:Coding


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker